# Visualization
TKV2d
Prs2d

# Prs2d_RadiusIndep Class Reference

Constructs the primitive Radius
.

`#include <Prs2d_RadiusIndep.hxx>`

Inheritance diagram for Prs2d_RadiusIndep:

[legend]

## Public Member Functions

Standard_EXPORT | Prs2d_RadiusIndep (const Handle(Graphic2d_GraphicObject)&aGO, const gp_Pnt2d &anAttachPnt, const gp_Pnt2d &aCenter, const Standard_Real aRad, const TCollection_ExtendedString &aText, const Standard_Real aLength=10.0, const Prs2d_TypeOfRadius aTypeRad=Prs2d_TOR_STANDARD, const Standard_Real aTxtScale=1.0)
| Creates the radius of the circle <aCenter, aRad> passing through the point <anattachpnt1> on the circle .
Standard_EXPORT void | Values (gp_Pnt2d &anAttPnt, gp_Pnt2d &aCenter, Standard_Real &aRad, TCollection_ExtendedString &aText, Standard_Real &aLength, Prs2d_TypeOfRadius &aTypeRad, Standard_Real &aTxtScale) const
| allows to get the properties of the radius
Standard_EXPORT void | SetText (const TCollection_ExtendedString &aTxt)
| Defines the text .
Standard_EXPORT void | SetTextScale (const Standard_Real aTxtScale)
| Defines the scale factor of text .
Standard_EXPORT void | SetTextFont (const Standard_Integer aTF)
| Sets the index of the font of this text to this dimension .
Standard_EXPORT void | SetFontOfSymb (const Standard_Integer aFS)
| Sets the index of the font of the symbol to this dimension .
Standard_EXPORT void | DrawSymbol (const Standard_Boolean isDraw)
| Sets the flag for drawing additional symbol .
Standard_EXPORT void | SetSymbolCode (const Standard_Integer aCode)
| Sets the ASCII code of the symbol .
Standard_EXPORT Standard_Integer | TextFont () const
| Returns the index of the font of this text of this dimension .
Standard_EXPORT Standard_Integer | FontOfSymb () const
| Returns the index of the font of the symbol of this dimension .
Standard_EXPORT Standard_Boolean | IsDrawSymbol () const
| Return true if symbol is drawn, false - in otherwise .
Standard_EXPORT Standard_Integer | SymbolCode () const
| Return ASCII code of the symbol .
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the angle <me>. .
virtual Standard_EXPORT void | DrawElement (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws element <anindex> of the radius <me>. .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws vertex <anindex> of the radius <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the radius <me> is picked, Standard_False if not. .

## Private Attributes

Standard_ShortReal | myX1
Standard_ShortReal | myY1
Standard_ShortReal | myX2
Standard_ShortReal | myY2
Standard_ShortReal | myTextScale
TCollection_ExtendedString | myText
Standard_ShortReal | myTextX
Standard_ShortReal | myTextY
Standard_ShortReal | myTextAng
Standard_Boolean | myInside
TShort_Array1OfShortReal | myXVert
TShort_Array1OfShortReal | myYVert
Standard_Boolean | myIsSymbol
Standard_Integer | mySymbCode
Standard_Integer | myTextFont
Standard_Integer | mySymbFont
gp_Pnt2d | myAttPnt
gp_Pnt2d | myCenter
Standard_Real | myRadius
Standard_Real | myLength
Prs2d_TypeOfRadius | myRadType

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_RadiusIndep::Prs2d_RadiusIndep | ( | const Handle(Graphic2d_GraphicObject)& | aGO,
|  | const gp_Pnt2d & | anAttachPnt,
|  | const gp_Pnt2d & | aCenter,
|  | const Standard_Real | aRad,
|  | const TCollection_ExtendedString & | aText,
|  | const Standard_Real | aLength = `10.0`,
|  | const Prs2d_TypeOfRadius | aTypeRad = `Prs2d_TOR_STANDARD`,
|  | const Standard_Real | aTxtScale = `1.0`
| ) |

## Member Function Documentation

Standard_EXPORT void Prs2d_RadiusIndep::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_RadiusIndep::DrawElement | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT void Prs2d_RadiusIndep::DrawSymbol | ( | const Standard_Boolean | isDraw | ) |

virtual Standard_EXPORT void Prs2d_RadiusIndep::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT Standard_Integer Prs2d_RadiusIndep::FontOfSymb | ( |  | ) | const

Standard_EXPORT const Prs2d_RadiusIndep::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Standard_Boolean Prs2d_RadiusIndep::IsDrawSymbol | ( |  | ) | const

Standard_EXPORT Standard_Boolean Prs2d_RadiusIndep::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_RadiusIndep::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

Standard_EXPORT void Prs2d_RadiusIndep::SetFontOfSymb | ( | const Standard_Integer | aFS | ) |

Standard_EXPORT void Prs2d_RadiusIndep::SetSymbolCode | ( | const Standard_Integer | aCode | ) |

Standard_EXPORT void Prs2d_RadiusIndep::SetText | ( | const TCollection_ExtendedString & | aTxt | ) |

Standard_EXPORT void Prs2d_RadiusIndep::SetTextFont | ( | const Standard_Integer | aTF | ) |

Standard_EXPORT void Prs2d_RadiusIndep::SetTextScale | ( | const Standard_Real | aTxtScale | ) |

Standard_EXPORT Standard_Integer Prs2d_RadiusIndep::SymbolCode | ( |  | ) | const

Standard_EXPORT Standard_Integer Prs2d_RadiusIndep::TextFont | ( |  | ) | const

Standard_EXPORT void Prs2d_RadiusIndep::Values | ( | gp_Pnt2d & | anAttPnt,
|  | gp_Pnt2d & | aCenter,
|  | Standard_Real & | aRad,
|  | TCollection_ExtendedString & | aText,
|  | Standard_Real & | aLength,
|  | Prs2d_TypeOfRadius & | aTypeRad,
|  | Standard_Real & | aTxtScale
| ) | const

## Field Documentation

gp_Pnt2d Prs2d_RadiusIndep::myAttPnt `[private]`

gp_Pnt2d Prs2d_RadiusIndep::myCenter `[private]`

Standard_Boolean Prs2d_RadiusIndep::myInside `[private]`

Standard_Boolean Prs2d_RadiusIndep::myIsSymbol `[private]`

Standard_Real Prs2d_RadiusIndep::myLength `[private]`

Standard_Real Prs2d_RadiusIndep::myRadius `[private]`

Prs2d_TypeOfRadius Prs2d_RadiusIndep::myRadType `[private]`

Standard_Integer Prs2d_RadiusIndep::mySymbCode `[private]`

Standard_Integer Prs2d_RadiusIndep::mySymbFont `[private]`

TCollection_ExtendedString Prs2d_RadiusIndep::myText `[private]`

Standard_ShortReal Prs2d_RadiusIndep::myTextAng `[private]`

Standard_Integer Prs2d_RadiusIndep::myTextFont `[private]`

Standard_ShortReal Prs2d_RadiusIndep::myTextScale `[private]`

Standard_ShortReal Prs2d_RadiusIndep::myTextX `[private]`

Standard_ShortReal Prs2d_RadiusIndep::myTextY `[private]`

Standard_ShortReal Prs2d_RadiusIndep::myX1 `[private]`

Standard_ShortReal Prs2d_RadiusIndep::myX2 `[private]`

TShort_Array1OfShortReal Prs2d_RadiusIndep::myXVert `[private]`

Standard_ShortReal Prs2d_RadiusIndep::myY1 `[private]`

Standard_ShortReal Prs2d_RadiusIndep::myY2 `[private]`

TShort_Array1OfShortReal Prs2d_RadiusIndep::myYVert `[private]`

The documentation for this class was generated from the following file:

- Prs2d_RadiusIndep.hxx